.product-content {
    display: flex;
    justify-content: space-between;
    margin-top: 40px;
    position: relative;
}

.product__images {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 24px;
    width: 70%;
}

.product__images-item {
    cursor: pointer;
}

.product__images-item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.product,
.product__info {
    display: flex;
    flex-direction: column;
}

.product {
    width: calc(30% - 40px);
    background-color: white;
    height: fit-content;
    overflow: hidden;
    position: sticky;
}

.product__info {
    padding-bottom: 64px;
    border-bottom: 1px solid #EEEEEE;
}

.product__discount {
    display: flex;
    align-items: center;
    gap: 16px;
}

.product__discount span {
    font-family: "Montserrat", sans-serif;
    font-size: 12px;
    font-weight: 500;
    line-height: 15.6px;
}

.product__discount span:first-of-type {
    color: white;
    background-color: var(--brown);
    padding: 8px;
}

.product__discount span:last-of-type {
    padding: 8px 8px 8px 17px;
    background-color: white;
    border: 1px solid var(--brown);
    color: var(--brown);
    position: relative;
}

.product__discount span:last-of-type::after {
    content: '';
    width: 4px;
    height: 4px;
    border-radius: 10px;
    background-color: var(--brown);
    position: absolute;
    left: 10px;
    top: 50%;
    transform: translateY(-50%);
}

.product__title {
    font-size: 32px;
    font-weight: 400;
    line-height: 37.5px;
    color: var(--black);
    margin-top: 16px;
}

.product__price {
    display: flex;
    flex-direction: column;
    gap: 16px;
    margin-top: 58px;
}

.product__price-section {
    display: flex;
    gap: 24px;
    align-items: flex-end;
    position: relative;
}

.product__section-title {
    position: absolute;
    left: 0;
    top: -20px;
}

.product__actual-price {
    font-size: 31px;
    font-weight: 600;
    line-height: 36.33px;
    color: var(--black);
}

.product__sizes-with-price {
    display: flex;
    gap: 4px;
    align-items: center;
}

.product__sizes,
.product__sizes-price,
.product__section-title,
.product__old-price {
    font-size: 14px;
    font-weight: 400;
    line-height: 18.2px;
    color: var(--black3);
}

.product__old-price {
    position: relative;
}

.product__old-price::after {
    content: '';
    position: absolute;
    width: 100%;
    height: 1px;
    background-color: var(--red);
    transform: rotate(-15deg);
    left: -4px;
    top: 5px;
}

.product__sizes-price {
    color: var(--brown);
}

.product__select-sizes {
    display: flex;
    flex-direction: column;
    width: 100%;
    margin-top: 40px;
    background-color: white;
}

.product__select-sizes-head {
    padding: 18.5px 16px;
    border: 1px solid #EEEEEE;
    font-size: 14px;
    font-weight: 400;
    line-height: 18.2px;
    color: var(--black);
    position: relative;
    cursor: pointer;
    transition: all var(--transition);
}

.product__select-sizes-head:hover {
    background-color: #EEEEEE;
}

.product__select-sizes-head::after {
    content: '+';
    font-size: 22px;
    font-weight: 300;
    color: var(--black);
    position: absolute;
    right: 16px;
    top: 16px;
}

.product__select-sizes-head.active::after {
    content: '-';
    font-size: 42px;
}

.product__select-sizes-content {
    border: 1px solid #EEEEEE;
    border-top: none;
    max-height: 0;
    overflow: hidden;
}

.product__select-sizes-content.active {
    max-height: 100%;
}

.product__controls {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 8px;
    position: relative;
    margin-top: 24px;
    padding: 16px;
}

.product__controls::after {
    content: 'Выберите рост';
    font-size: 14px;
    font-weight: 400;
    line-height: 18.2px;
    color: var(--black3);
    position: absolute;
    left: 16px;
    top: -8px;
}

.product__controls-item {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 15px;
    font-size: 14px;
    font-weight: 400;
    line-height: 18.2px;
    color: var(--black);
    border: 1px solid #EEEEEE;
    background-color: white;
    transition: all var(--transition);
    cursor: pointer;
}

.product__controls-item:hover,
.product__controls-item.active {
    background-color: var(--black);
    color: white;
}

.product__list {
    width: 100%;
    border-collapse: collapse;
}

.product__list-head th {
    text-align: center;
    font-size: 14px;
    font-weight: 400;
    line-height: 18.2px;
    color: var(--black3);
    width: 33.33%;
}

.product__list-row td {
    padding: 10px;
}

.product__count {
    display: flex;
    align-items: center;
    justify-content: center;
}

.product__count button {
    width: 40px;
    height: 40px;
    font-size: 14px;
    color: var(--black);
    background-color: #EEEEEE;
    cursor: pointer;
}

.product__count button:hover {
    background-color: #ddd;
}

.product__count-value {
    width: 50px;
    height: 40px;
    border: none;
    outline: none;
    display: flex;
    align-items: center;
    justify-content: center;
}

.product__count-value::-webkit-inner-spin-button,
.product__count-value::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.product__count-value {
    -moz-appearance: textfield;
}

.product__count-value,
.product__size,
.product__available {
    text-align: center;
    font-size: 14px;
    font-weight: 400;
    line-height: 18.2px;
    color: var(--black);
}

.sizes-tible {
    font-size: 14px;
    font-weight: 400;
    line-height: 18.2px;
    text-align: left;
    text-decoration-line: underline;
    color: var(--brown);
    cursor: pointer;
    margin-top: 16px;
    transition: text-decoration-line var(--transition);
}

.sizes-tible:hover {
    text-decoration-line: none;
}

.product__btns {
    display: flex;
    align-items: center;
    gap: 16px;
    justify-content: space-between;
    margin-top: 16px;
}

.product__add-to-card {
    padding: 17.5px;
    width: 100%;
    background-color: var(--brown);
    display: flex;
    align-items: center;
    gap: 10px;
    justify-content: center;
    font-size: 14px;
    font-weight: 400;
    line-height: 18.2px;
    color: white;
    transition: all var(--transition);
}

.mobile-add-product-to-card {display: none;}

.product__add-to-card:hover {
    background-color: #b5875f;
}

.product__add-to-card.disabled {
    background-color: var(--gray);
    color: var(--black3);
}

.product__btns .catalog__item-favorite {
    position: static;
}

.product__btns .catalog__item-favorite::after {
    width: 40px;
    height: 40px;
}

.table-sizes-modal img {
    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
}

.product__description,
.product-bottom-info,
.product-characteristics {
    display: flex;
    flex-direction: column;
}

.product__description {
    gap: 8px;
}

.product-bottom-info {
    margin-top: 64px;
    gap: 56px;
}

.product-characteristics {
    gap: 16px;
}

.product-characteristics__content {
    display: grid;
    grid-template-columns: 1fr 3fr;
    row-gap: 8px;
    column-gap: 53px;
    height: 70px;
    overflow: hidden;
    transition: 0.1s height linear;
}

.product-characteristics__content.active {
    height: 100%;
}

.product__description span,
.product__description p,
.product__in-other-sizes-title,
.product-characteristics h4,
.product-characteristics span,
.product-characteristics p {
    font-size: 14px;
    font-weight: 400;
    line-height: 18.2px;
    height: fit-content;
}

.product__description span,
.product__in-other-sizes-title,
.product-characteristics__label,
.product-characteristics__title {
    color: var(--black);
}

.product__description p,
.product-characteristics__label {
    color: var(--black3);
}

.product-characteristics__btn {
    color: var(--brown);
    text-decoration: underline;
    cursor: pointer;
    transition: all var(--transition);
}

.product-characteristics__btn:hover {
    text-decoration: none;
}

.product__in-other-sizes {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.product__in-other-sizes-images {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 8px;
}

.product__in-other-sizes-images img {
    max-width: 100%;
}

.same-products {
    display: flex;
    flex-direction: column;
    gap: 24px;
    margin-top: 160px;
}

.same-products__title {
    font-size: 40px;
    font-weight: 400;
    line-height: 46.88px;
    color: var(--black);
}

.same-products__slider {
    position: relative;
    width: 100%;
    overflow-x: hidden;
    height: 466px;
}

.same-products__slide {
    display: flex;
    flex-direction: column;
    gap: 10px;
    height: fit-content;
    height: 430px;
}

.same-products__slide-img {
    position: relative;
    overflow: hidden;
}

.same-products__slide-img img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.same-products__slide-info {
    position: absolute;
    left: 8px;
    bottom: 0;
    padding: 5px 8px;
    background-color: white;
}

.same-products__slide-info {
    display: flex;
    align-items: center;
    gap: 10px;
    width: fit-content;
    background-color: white;
}

.same-products__slide-info span {
    font-size: 14px;
    font-weight: 300;
    line-height: 21px;
}

.same-products__know-price {
    color: var(--black2);
    text-decoration: underline;
    text-decoration-color: var(--black);
    cursor: pointer;
}

.same-products__slide-description {
    display: flex;
    flex-direction: column;
    gap: 5;
}

.same-products__slide-description p {
    font-size: 14px;
    font-weight: 300;
    line-height: 21px;
    color: var(--black);
}

.same-products__slide-description span {
    font-size: 12px;
    font-weight: 300;
    line-height: 15.6px;
    color: #506178;
}

.same-products__slider .swiper-pagination-bullet {
    background: #CBD4E1;
    width: 149px;
    height: 6px;
    border-radius: 0;
    opacity: 1;
}

.same-products__slider .swiper-pagination-bullet-active {
    background: #0D1F2D;
}

.product-gallery__slider {
    z-index: 100000;
    width: 100%;
    overflow: hidden;
}

.product-gallery__slide {
    padding: 40px;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.product-gallery__slide img {
    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
}

.product-gallery__slider .close {
    z-index: 100000;
    right: 0;
    top: 0;
}

.product-gallery-next,
.product-gallery-prev {
    position: absolute;
    z-index: 100000;
    top: calc(50% - 50px);
    cursor: pointer;
    padding: 0;
    width: 29px;
    height: 84px;
    border-radius: 5px;
    background-color: #0D1F2D;
}

.product-gallery-next {
    left: 0;
}

.product-gallery-prev {
    right: 0;
}

.product-gallery-next::after,
.product-gallery-prev::after {
    content: url(../assets/icons/arrow-white.svg);
    position: absolute;
    top: 50%;
}

.product-gallery-next::after {
    left: calc(50% - 5px);
    transform: translate(-50%, -50%) rotate(90deg);
}

.product-gallery-prev::after {
    left: calc(50% + 5px);
    transform: translate(-50%, -50%) rotate(-90deg);
}

.look {
    display: grid;
    grid-template-columns: 3.4fr 1fr;
    gap: 60px;
    margin-top: 160px;
}

.look-slider {
    width: 100%;
    position: relative;
    overflow: hidden;
}

.look__card-top {
    display: flex;
    flex-direction: column;
    gap: 32px;
}

.look_slider-controls {
    display: flex;
    align-items: center;
    gap: 24px;
}

.look-slider-counter {
    font-family: "Montserrat";
    font-size: 20px;
    font-weight: 600;
    line-height: 24.38px;
    color: var(--black);
    min-width: 42px;
}

.look-slider-next,
.look-slider-prev {
    cursor: pointer;
    content: url(../assets/icons/look-control.svg);
    width: 35%;
}

.look-slider-prev {
    transform: rotate(180deg);
}

.look-slider-next.swiper-button-disabled,
.look-slider-prev.swiper-button-disabled {
    opacity: 0.5;
}

.look__slide {
    display: grid;
    grid-template-columns: 1fr 1.5fr;
    gap: 60px;
    width: 100%;
}

.look__items {
    overflow-y: auto;
    height: 766px;
    margin: auto 0;
    display: flex;
    flex-direction: column;
    padding-left: 48px;
}

.look__items::-webkit-scrollbar {
    width: 6px;
}

.look__items::-webkit-scrollbar-track {
    background: white;
}

.look__items::-webkit-scrollbar-thumb {
    background: #EEEEEE;
}

.look__item {
    position: relative;
    display: grid;
    grid-template-columns: 0.5fr 3fr;
    gap: 32px;
    align-items: start;
}

.look__item-select {
    position: absolute;
    left: -48px;
    top: 0;
    z-index: 10;
}

.look__preview {
    height: 100%;
}

.look__item-img {
    width: fit-content;
    max-height: 160px;
}

.look__item-img img,
.look__preview img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.look__items .look__item:not(:first-child) {
    margin-top: 40px;
}

.look__item-title,
.look__item-content,
.look__sizes {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.look__details {
    display: grid;
    grid-template-columns: 4fr 1fr;
    gap: 32px;
    align-items: center;
}

.look__card {
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: space-between;
    padding-left: 60px;
    border-left: 1px solid #EEEEEE;
}

.look__card-title {
    font-size: 40px;
    font-weight: 400;
    line-height: 46.88px;
    color: var(--black);

}

.look__dropdown {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.look__dropdown-head {
    padding: 15px 16px;
    border: 1px solid #EEEEEE;
    font-size: 14px;
    font-weight: 400;
    line-height: 18.2px;
    color: var(--black);
    position: relative;
    cursor: pointer;
    transition: all var(--transition);
}

.look__dropdown-head:hover {
    background-color: #EEEEEE;
}

.look__dropdown-head::after {
    content: '+';
    font-size: 22px;
    font-weight: 300;
    color: var(--black);
    position: absolute;
    right: 16px;
    top: 16px;
}

.look__dropdown-head.active::after {
    content: '-';
    font-size: 42px;
}

.look__dropdown-list {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    max-height: 0;
    overflow: hidden;
    background-color: white;
}

.look__dropdown-list.active {
    max-height: 100%;
    padding: 11px 9px;
    border: 1px solid #EEEEEE;
    margin-top: 8px;
}

.look__dropdown-item {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 3.5px;
    text-align: center;
    max-height: 25px;
    font-size: 14px;
    font-weight: 400;
    line-height: 14px;
    color: var(--black);
    border: 1px solid #EEEEEE;
    cursor: pointer;
    transition: all var(--transition);
}

.look__dropdown-item:hover,
.look__dropdown-item.active {
    background-color: var(--black);
    color: white;
    font-weight: 600;
}

.look__item-title p {
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
    color: var(--black);
}

.look__item-title span {
    font-size: 14px;
    font-weight: 300;
    line-height: 16.41px;
    color: #506178;
}

.look__prices {
    display: flex;
    flex-direction: column;
    align-items: start;
}

.look__info {
    display: flex;
    align-items: center;
    gap: 10px;
}

.look__old-price,
.look__discount {
    font-size: 14px;
    font-weight: 300;
    line-height: 21px;
    color: #506178;
}

.look__old-price {
    text-decoration: line-through;
}

.look__discount {
    color: var(--red);
}

.look__new-price {
    font-size: 24px;
    font-weight: 400;
    line-height: 36px;
    color: var(--black);
}

.look__card-price,
.look__card-details {
    display: flex;
    flex-direction: column;
}

.look__card-price {
    align-items: start;
}

.look__card-details {
    gap: 24px;
}

.look__card-details-count {
    font-size: 24px;
    font-weight: 400;
    line-height: 28.13px;
    color: #0D1F2D;
}

.look__card-price-title,
.look__card-price-old-value {
    font-size: 14px;
    font-weight: 400;
    line-height: 18.2px;
    color: var(--black3);
}

.look__card-price-values {
    display: flex;
    align-items: end;
    gap: 24px;
}

.look__card-btn {
    padding: 19px;
    width: 100%;
    background-color: var(--brown);
    display: flex;
    align-items: center;
    gap: 10px;
    justify-content: center;
    font-size: 14px;
    font-weight: 400;
    line-height: 18.2px;
    color: white;
    transition: all var(--transition);
}

.look__card-btn:hover {
    background-color: #b5875f;
}

.look__card-price-value {
    font-size: 31px;
    font-weight: 600;
    line-height: 36.33px;
    color: var(--black);
}

.look__card-price-old-value {
    position: relative;
}

.look__card-price-old-value::after {
    content: '';
    position: absolute;
    width: 100%;
    height: 1px;
    background-color: var(--red);
    transform: rotate(-15deg);
    left: -4px;
    top: 5px;
}

/* product mobile slider */
.product__images-slider {
    width: 100%;
    position: relative;
    display: none;
    margin-top: 80px;
    overflow: hidden;
}

.product__images-slide {
    width: 100%;
    height: 493px;
}

.product__images-slide img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.product-slider-prev,
.product-slider-next {
    content: url(../assets/icons/arrow-back.svg);
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    z-index: 1;
    cursor: pointer;
}

.product-slider-prev {left: 0;}
.product-slider-next {
    right: 0;
    transform: translateY(-50%) rotate(180deg);
}

.product-slider-prev.swiper-button-disabled,
.product-slider-next.swiper-button-disabled {opacity: 0;}

.product-swiper-pagination {
    position: absolute;
    bottom: 16px !important;
    left: 50% !important;
    transform: translateX(-50%);
    width: fit-content !important;
    z-index: 1;
    display: flex;
    margin: 0 auto;
    max-width: 90%;
}
.product-swiper-pagination span {
    height: 2px;
    background-color: #EEEEEE;
    border-radius: 0 !important;
    opacity: 1 !important;
}

.product-swiper-pagination span.swiper-pagination-bullet-active {
    background-color: #0B0B0A;
}
/* product mobile slider */

.product__images-mobile-bg.active {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background: #00000080;
    z-index: 100000;
    border-radius: 0;
}

.product__images-mobile-bg .close-product-slider {
    display: none;
    width: 29px;
    height: 29px;
    background-image: url(../assets/icons/close-modal.svg);
    background-repeat: no-repeat;
    background-position: center;
    position: absolute;
    top: 0;
    right: 0;
    cursor: pointer;
}
.product__images-mobile-bg.active .close-product-slider {display: block;}

.product__images-mobile-bg.active .product__images-slider {
    top: 50%;
    transform: translateY(-50%);
}

.mobile-sizes-tible {display: none;}

.close-mobile-sizes-table {
    position: absolute;
    content: url(../assets/icons/cross-black.svg);
    width: 24px;
    height: 24px;
    padding: 3.5px;
    right: 16px;
    top: 50%;
    transform: translateY(-50%);
    display: none;
}